2026-08-18 02:10:16 UTC
128 MB
true
GODEBUGmadvdontneed=1
LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE/
PATH/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
containeroci
[#000] sha256:872a2aed985e0b2daad07dd2009dbba2c5d87b2369582eb5b179f081ac4ea0e9 - 26.05% (33.3 MB)
[#001] sha256:aa51ba3a08ff64c979677172b43778d58911eb5debcd299604b7379112462586 - 2.96% (3.78 MB)
[#002] sha256:900bacc83d6030cf513c24d4adcf168fd507abb877017a9e17124711f2b446e7 - 0.01% (9.5 KB)
[#003] sha256:cf3d69474a16a81471c296c63343b126d4cf9222fd7bad0b2885b1fb131d75a0 - 0.0% (605 Bytes)
[#004] sha256:bd7d45a82f183471b64287ccf26e835b7f5ddb6ae58b452f82b3fd966a530d16 - 0.0% (614 Bytes)
[#005] sha256:fba4b81645788b38df2f1adf348507daf53672b1be45b2f899b016453a987977 - 56.61% (72.4 MB)
[#006] sha256:37806d580dbcd8e01e8941aab19a08ea9cac27942542b39cde45e8194e68c825 - 0.0% (123 Bytes)
[#007] sha256:bf2370294d9146fe111e67278a5f36098a2efb210594e5e58da2de89eaa302f4 - 0.0% (5.42 KB)
[#008] sha256:bcdf5d29733d4d1c0656460d34bb1e2f32ea7317284ea8452669cd2b339944be - 0.18% (231 KB)
[#009] sha256:deef595dd2b39644c97540349bd7a8028eec7ca4a7485a0e9a1ff5e66b06231a - 0.0% (514 Bytes)
[#010] sha256:dc5e6d1543bec1655f21b63ea1091c081a66e32e91c40ba17d38128f6435680d - 0.0% (1.1 KB)
[#011] sha256:5ed6537940caa53a16100c961dad71394bcf292e33f996ded7c26ff6a47a38bb - 14.2% (18.1 MB)
[#012] sha256:bd9ddc54bea929a22b334e73e026d4136e5b73f5cc29942896c72e4ece69b13d - 0.0% (34 Bytes)
/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."
2026-08-17 10:00:28 UTC/bin/sh -c #(nop) LABEL vendor="Red Hat, Inc."
2026-08-17 10:00:28 UTC/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"
2026-08-17 10:00:28 UTC/bin/sh -c #(nop) LABEL com.redhat.component="ubi10-minimal-container" name="ubi10/ubi-minimal" version="10.2" cpe="cpe:/o:redhat:enterprise_linux:10.2" distribution-scope="public"
2026-08-17 10:00:28 UTC/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"
2026-08-17 10:00:28 UTC/bin/sh -c #(nop) LABEL summary="Provides the latest release of the minimal Red Hat Universal Base Image 10."
2026-08-17 10:00:29 UTC/bin/sh -c #(nop) LABEL description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2026-08-17 10:00:29 UTC/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2026-08-17 10:00:29 UTC/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 10 Minimal"
2026-08-17 10:00:29 UTC/bin/sh -c #(nop) LABEL io.openshift.expose-services=""
2026-08-17 10:00:29 UTC/bin/sh -c #(nop) LABEL io.openshift.tags="minimal rhel10"
2026-08-17 10:00:29 UTC/bin/sh -c #(nop) ENV container oci
2026-08-17 10:00:29 UTC/bin/sh -c #(nop) COPY dir:e1c00668e831c6f7c1c82890c3ff2aa86777926f6fcef54ed840b79618da399c in /
2026-08-17 10:00:30 UTC/bin/sh -c #(nop) COPY file:5de33b5fc08b00635bccf9134a18978dba13e2250aa51838f9969515a3957847 in /etc/yum.repos.d/.
2026-08-17 10:00:30 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2026-08-17 10:00:30 UTC/bin/sh -c #(nop) COPY dir:711c35f0e0f5b6c4acb3cbb42fc5687dfbbb2a5043ce701198a3131e25785504 in /usr/share/buildinfo/
2026-08-17 10:00:30 UTC/bin/sh -c #(nop) COPY dir:711c35f0e0f5b6c4acb3cbb42fc5687dfbbb2a5043ce701198a3131e25785504 in /root/buildinfo/
2026-08-17 10:00:30 UTC/bin/sh -c #(nop) LABEL "org.opencontainers.image.created"="2026-08-17T09:59:37Z" "org.opencontainers.image.revision"="e7c0028707fa6423887e58fdaaa0ce41b96656c8" "build-date"="2026-08-17T09:59:37Z" "architecture"="x86_64" "vcs-ref"="e7c0028707fa6423887e58fdaaa0ce41b96656c8" "vcs-type"="git" "release"="1786960640"org.opencontainers.image.created=2026-08-17T09:59:37Z,org.opencontainers.image.revision=e7c0028707fa6423887e58fdaaa0ce41b96656c8
2026-08-18 02:09:57 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install findutils shadow-utils ca-certificates gawk libcap xz tar && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit
2026-08-18 02:09:58 UTC (buildkit.dockerfile.v0)LABEL org.label-schema.build-date=2026-08-18T02:03:11Z org.label-schema.schema-version=1.0 org.label-schema.vendor=Elastic org.label-schema.license=Elastic License org.label-schema.name=filebeat org.label-schema.version=9.5.2 org.label-schema.url=https://www.elastic.co/beats/filebeat org.label-schema.vcs-url=github.com/elastic/beats/v7 org.label-schema.vcs-ref=8f4fe1e5dec067a139dce33d3af88c24b58c3660 io.k8s.description=Filebeat sends log files to Logstash or directly to Elasticsearch. io.k8s.display-name=Filebeat image org.opencontainers.image.created=2026-08-18T02:03:11Z org.opencontainers.image.licenses=Elastic License org.opencontainers.image.title=Filebeat org.opencontainers.image.vendor=Elastic org.opencontainers.image.authors=infra@elastic.co maintainer=infra@elastic.co name=filebeat vendor=Elastic version=9.5.2 release=1 url=https://www.elastic.co/beats/filebeat summary=filebeat license=Elastic License description=Filebeat sends log files to Logstash or directly to Elasticsearch.
2026-08-18 02:09:58 UTC (buildkit.dockerfile.v0)ENV ELASTIC_CONTAINER=true
2026-08-18 02:09:58 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2026-08-18 02:09:58 UTC (buildkit.dockerfile.v0)ENV GODEBUG=madvdontneed=1
2026-08-18 02:09:58 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -e ; TINI_BIN=""; TINI_SHA256=""; TINI_VERSION="v0.19.0"; echo "The arch value is $(arch)"; case "$(arch)" in x86_64) TINI_BIN="tini-amd64"; TINI_SHA256="93dcc18adc78c65a028a84799ecf8ad40c936fdfc5f2a57b1acda5a8117fa82c"; ;; aarch64) TINI_BIN="tini-arm64"; TINI_SHA256="07952557df20bfd2a95f9bef198b445e006171969499a1d361bd9e6f8e5e0e81"; ;; *) echo >&2 ; echo >&2 "Unsupported architecture \$(arch)" ; echo >&2 ; exit 1 ; ;; esac ; curl --retry 8 -S -L -O "https://github.com/krallin/tini/releases/download/${TINI_VERSION}/${TINI_BIN}" ; echo "${TINI_SHA256} ${TINI_BIN}" | sha256sum -c - ; mv "${TINI_BIN}" /usr/bin/tini ; chmod +x /usr/bin/tini # buildkit
2026-08-18 02:09:58 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint /usr/local/bin/docker-entrypoint # buildkit
2026-08-18 02:09:58 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c chmod 755 /usr/local/bin/docker-entrypoint # buildkit
2026-08-18 02:10:09 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat /usr/share/filebeat # buildkit
2026-08-18 02:10:09 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c mkdir /licenses # buildkit
2026-08-18 02:10:09 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/LICENSE.txt /licenses # buildkit
2026-08-18 02:10:10 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/NOTICE.txt /licenses # buildkit
2026-08-18 02:10:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c groupadd --gid 1000 filebeat # buildkit
2026-08-18 02:10:10 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c useradd -M --uid 1000 --gid 1000 --groups 0 --home /usr/share/filebeat filebeat # buildkit
2026-08-18 02:10:16 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install systemd && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit
2026-08-18 02:10:16 UTC (buildkit.dockerfile.v0)USER 1000
2026-08-18 02:10:16 UTC (buildkit.dockerfile.v0)ENV LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE=/
2026-08-18 02:10:16 UTC (buildkit.dockerfile.v0)WORKDIR /usr/share/filebeat
2026-08-18 02:10:16 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/usr/bin/tini" "--" "/usr/local/bin/docker-entrypoint"]
2026-08-18 02:10:16 UTC (buildkit.dockerfile.v0)CMD ["--environment" "container"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.